public static interface SalesforceEndpointBuilderFactory.SalesforceBuilders
| Modifier and Type | Method and Description |
|---|---|
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder |
salesforce(String path)
Salesforce (camel-salesforce)
Communicate with Salesforce using Java DTOs.
|
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder |
salesforce(String componentName,
String path)
Salesforce (camel-salesforce)
Communicate with Salesforce using Java DTOs.
|
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder salesforce(String path)
salesforce:operationName:topicName
Path parameter: operationName
The operation to use
The value can be one of: getVersions, getResources, getGlobalObjects,
getBasicInfo, getDescription, getSObject, createSObject,
updateSObject, deleteSObject, getSObjectWithId, upsertSObject,
deleteSObjectWithId, getBlobField, query, queryMore, queryAll,
search, apexCall, recent, createJob, getJob, closeJob, abortJob,
createBatch, getBatch, getAllBatches, getRequest, getResults,
createBatchQuery, getQueryResultIds, getQueryResult,
getRecentReports, getReportDescription, executeSyncReport,
executeAsyncReport, getReportInstances, getReportResults, limits,
approval, approvals, composite-tree, composite-batch, composite
Path parameter: topicName
The name of the topic/channel to usepath - operationName:topicNamedefault SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder salesforce(String componentName, String path)
salesforce:operationName:topicName
Path parameter: operationName
The operation to use
The value can be one of: getVersions, getResources, getGlobalObjects,
getBasicInfo, getDescription, getSObject, createSObject,
updateSObject, deleteSObject, getSObjectWithId, upsertSObject,
deleteSObjectWithId, getBlobField, query, queryMore, queryAll,
search, apexCall, recent, createJob, getJob, closeJob, abortJob,
createBatch, getBatch, getAllBatches, getRequest, getResults,
createBatchQuery, getQueryResultIds, getQueryResult,
getRecentReports, getReportDescription, executeSyncReport,
executeAsyncReport, getReportInstances, getReportResults, limits,
approval, approvals, composite-tree, composite-batch, composite
Path parameter: topicName
The name of the topic/channel to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationName:topicNameApache Camel